//-----------------------------------------------------------
//
//    exampleMesh.uc
//
//   http://trepaning.com
//
//   vertex animated mesh prop as a placeable object
//
//-----------------------------------------------------------

// where you will find the mesh in UnrealEd's Actor browser

class exampleMesh extends Decoration;


// used to start the animation when the level begins

simulated function PostBeginPlay()
{

// LoopAnim followed by anim sequence name followed by the speed the animation is to be played in the game.
// adjust animation rate as needed. This is where you tweak the TWEENing.

    LoopAnim('exampleAnim',1.0);
    SetAnimFrame(FRand());

    Super.PostBeginPlay();
}

// Guess what this is, part 2

defaultproperties
{

// Move, dam you! MOVE!

     bStatic=False
     bNoDelete=True
     bStasis=False

// this imports the placeable mesh, referencing the U file name
// and the example.uc file within it. Note, a single U file can contain many 
// meshes, animations and textures. Note also, the U file name is the same as the 
// project folder you created in the UT2004 folder. 
// In this example, the project folder name and resulting U file name is BKT_Props2


     Mesh=VertMesh'BKT_Props2.example'

//  make the mesh larger when it first placed in UnrealEd.
// can be adjusted in the mesh's PROPERTIES.

     DrawScale=1.000000
}


// Bye.
